/* Had this before we increased the spacing above <ul> from 2px to 4px
@media (max-width: 549px) {
  .main .main-content p + ul {
    /* Instead of the usual 16px, just for mobile 
    margin-top: -8px;
  }
} */

.text-emph {
  font-weight: 600;
}

.de-emph {
  color: #444;
  font-size: 0.8rem;
}

.markdown-body .faq-q {
  margin-bottom: 0px;
  padding-bottom: 2px;
  font-weight: 500;
}

/* The tax assumptions table */
.calculate-multiple {
  display: none;
}

.tax-grid {
  display: grid;
  place-content: center;
  gap: 0px 32px;
  flex: 3;
  grid-template-columns: auto auto auto;
  border: 1px solid hsl(210, 12%, 80%);
  border-radius: 4px;
  width: fit-content;
  padding: 16px 32px;
  margin: auto;
  margin-bottom: 32px;
}
.tax-grid-mobile {
  display: none;
}
@media (max-width: 549px) {
  .tax-grid {
    padding: 16px 16px;
    gap: 0px 16px;
  }
  .tax-grid-desktop {
    display: none;
  }
  .tax-grid-mobile {
    display: grid;
  }
}

/* Diagrams */
.diagram {
  margin: auto;
  margin-bottom: 16px;
}

#itemized-1 {
  width: 60%;
}
@media (max-width: 549px) {
  #itemized-1 {
    width: 70%;
  }
}

.itemized-3-wrapper {
  display: flex;
  flex-wrap: none;
  justify-content: space-around;
  gap: 8px;
  max-width: 100%;
}
#itemized-3 {
  width: 60%;
}
@media (max-width: 549px) {
  #itemized-3 {
    width: 70%;
  }
}
#legend {
  width: 25%;
  min-width: 95px;
}
#itemized-3,
#legend {
  margin: 0px;
}

#cap-1 {
  width: 56%;
  margin-top: -8px;
}
#cap-3 {
  width: 60%;
}
@media (max-width: 549px) {
  #cap-1,
  #cap-3 {
    width: 65%;
  }
}

#cap-goog {
  width: clamp(250px, 80%, 500px);
}

#cap-goog-2 {
  min-width: 400px;
  /* overflow-anchor: none;
  display: inline-block; */
}
@media (max-width: 549px) {
  #cap-goog-2-wrapper {
    width: 100%;
    overflow-x: hidden;
    /* white-space: nowrap; */
  }
  /* Failed attempt at adding a scroll-anchor on 
     the right that would always be in view, and 
     would allow adding a scroll bar here. 

     Scrolling is actually done by a bit of js in
     the primary file. 
  .scroll-anchor {
    overflow-anchor: auto;
    width: 100px;
    display: inline-block;
  } */
}

/* ADVANCED STRATEGIES  */

.main .main-content h2 {
  /* TODO maybe this should be the default in article-base.css? */
  margin-top: 32px;
}

.main .main-content .table-of-contents a {
  color: inherit;
  font-weight: inherit;
}

.main .main-content .table-of-contents {
  border-radius: 4px;
  padding: 16px;
  margin-bottom: 16px;
  /* TODO put this into the main colors file */
  background-color: var(--brand-toc-background);
}

.main .main-content .table-of-contents-title {
  font-size: 0.9em;
  font-variant: small-caps;
}

.main .main-content .table-of-contents li.table-of-contents-first-li {
  padding-top: 6px;
}

.main .main-content .table-of-contents ul ul {
  padding-left: 28px;
}

.main .main-content .table-of-contents ul {
  padding-top: 0;
  padding-left: 0;
  margin-bottom: 0;
}

.main .main-content .table-of-contents li {
  padding-top: 12px;
  list-style-type: none;
}

.main .main-content .table-of-contents ul ul li {
  padding-top: 0px;
  list-style-type: circle;
}

/* Maybe this should be in article-base.css? */
.main .main-content * {
  scroll-margin-top: 24px;
}

#advanced-portfolio {
  margin-left: 16px;
  margin-right: 32px;
}

.icon-feather {
  margin-left: 2px;
  color: var(--brand-link);
}

#going-further-expand-link, 
#going-further-collapse-link {
  display: flex;
  align-items: center;
  /* width: fit-content; */
  color: var(--brand-text);
  padding-bottom: 8px;
}

#going-further {
  background-color: hsl(33, 20%, 98%);
  /* box-shadow: inset 0px 0px 2px #ccc; */
  /* border-radius: 4px; add back on desktop if color has more contrast */
  margin: 32px calc(-1 * var(--padding-x-main)) 48px calc(-1 * var(--padding-x-main));
  padding: 8px var(--padding-x-main) 16px var(--padding-x-main);
}

#going-further.collapsed:hover {
  border: 1px solid #ddd;
  cursor: pointer;
  /* not sure why this is needed; maybe due to the .truncated-para stuff?
  It does not seem to be due to the calcs and vrs in the margin and padding. */
  margin-bottom: 46px;
}

#going-further-expansion {
  display: none;
}

.truncated-para {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
}

#long-ul > li {
  margin-top: 4px;
}

#long-ul > li + ul {
  padding-top: 4px;
}

.cursor-pointer {
  cursor: pointer;
}

/* TODO */
#footnotes + p {
  transition: background-color 400ms;
}

#footnotes + p:focus {
  background-color: orange;
}

/* Only used in the hidden .calculate-multiple */
/* 
.tax-assumptions {
  border-radius: 8px;
  border: 1px solid hsl(210, 12%, 94%);
  margin-top: 24px;
}

.tax-entry-row {
  display: inline;
}

.tax-entry {
  padding: 24px;
  background-color: hsl(36, 70%, 94%);
}
.tax-entry-row button {
  background-color: white;
  border: 1px solid hsl(210, 12%, 94%);
  border-left: none;
}
.tax-entry-row button:hover {
  border: 1px solid hsl(210, 12%, 70%);
  margin-left: -1px;
}
.tax-entry-row button:first-of-type {
  border-radius: 4px 0 0 4px;
  border-left: 1px solid hsl(210, 12%, 94%);
  margin-left: 0;
}
.tax-entry-row button:first-of-type:hover {
  border: 1px solid hsl(210, 12%, 70%);
}
.tax-entry-row button:last-of-type {
  border-radius: 0 4px 4px 0;
}
.household-income {
  margin-top: 16px;
}
.tax-entry input {
  border: none;
  width: 90px;
  text-align: right;
}

#second-tax-grid {
  border: none;
  padding: 32px 24px;
  margin: 0;
}

.answer-grid {
  display: grid;
  grid-template-columns: 30px repeat(9, 1fr);
  padding: 0px 32px 24px 16px;
}
.answer-item {
  text-align: right;
}

.light-bold {
  font-weight: 500;
}
*/
